Subject: bug#78638: 30.1; When editing a remote file owned by another user, Tramp signals an error because it cannot change the file mode

From: Michael Albinus <[email-masked]>
Date: Mon, 16 Jun 2025 14:07:55 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> So this is because the file is in "/tmp/", is that so?

Indeed. I've moved the file to ~/tmp/xxx, and now saving and
backup works w/o any problem, whatever value of backup-by-copying.

--8<---------------cut here---------------start------------->8---
# ll -d ~/tmp ~/tmp/xxx*
drwxrwxr-x. 11 albinus   albinus 16384 Jun 16 13:58 /home/albinus/tmp
-rw-rw----.  1 testuser1 albinus     7 Jun 16 13:58 /home/albinus/tmp/xxx
-rw-rw----.  1 albinus   albinus     4 Jun 16 13:57 /home/albinus/tmp/xxx~
--8<---------------cut here---------------end--------------->8---

> If that's the reason, this is a different problem, because AFAICT the
> original recipe didn't involve a file in "/tmp/".

Yep. The original error was a failing chmod command. This has been
discussed already with the OP, so I guess there's nothing left to do.

Best regards, Michael.